IARRAY_MULTIPLY_DIVIDE(3)

EXPERIMENTAL_FUNC
iarray_multiply_divide - Multiply or divide Intelligent Arrays and scale.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_multiply_divide

(iarray out, iarray inp1, iarray inp2, flag multiply, double scale[2], double offset[2], flag magnitude)

DESCRIPTION
This routine will add two "Intelligent Array" to each other and scales the result. The sizes of the two input arrays and the output must be identical. The routine performs the following computation: OUT = INP1 op (INP2 * scale + offset) where <<op>> is the multiply or divide operation. The routine will automatically perform type conversions if necessary.

out The output Intelligent Array.

inp1
    The first input Intelligent Array.

inp2
    The second input Intelligent Array.

scale
    The complex scale value.

offset
    The complex offset value.

magnitude
    If TRUE then when converting from a complex to a real data type, the magnitude is taken, else the real component is copied.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
When converting from a real to a complex data type, the imaginary component is set to zero.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/